Page MenuHomePhabricator

decommission db1072.eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db1072.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db1072.eqiad.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #9 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Jul 25 2019, 5:48 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 525480 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1072: Disable notifications

https://gerrit.wikimedia.org/r/525480

Change 525480 merged by Marostegui:
[operations/puppet@production] db1072: Disable notifications

https://gerrit.wikimedia.org/r/525480

Marostegui updated the task description. (Show Details)Jul 25 2019, 9:20 AM
Marostegui updated the task description. (Show Details)Jul 26 2019, 5:40 AM

Mentioned in SAL (#wikimedia-operations) [2019-07-26T05:40:43Z] <marostegui> Stop MySQL on db1072 to get it ready for decommission - T228956

Marostegui updated the task description. (Show Details)Jul 26 2019, 5:43 AM

Mentioned in SAL (#wikimedia-operations) [2019-07-29T05:05:29Z] <marostegui> Remove db1072 from tendril and zarcillo T228956

Change 526007 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db1072

https://gerrit.wikimedia.org/r/526007

Change 526007 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db1072

https://gerrit.wikimedia.org/r/526007

Marostegui reassigned this task from Marostegui to RobH.Jul 29 2019, 5:14 AM
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added ops-eqiad, DC-Ops; removed Patch-For-Review, DBA.

This host is ready for DC-Ops to do the final decommission steps

Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Aug 20 2019, 6:36 PM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1072.eqiad.wmnet

  • db1072.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 539018 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db1072 from puppet

https://gerrit.wikimedia.org/r/539018

Change 539019 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production entries for db1072

https://gerrit.wikimedia.org/r/539019

Change 539018 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db1072 from puppet

https://gerrit.wikimedia.org/r/539018

Change 539019 merged by Marostegui:
[operations/dns@master] wmnet: Remove production entries for db1072

https://gerrit.wikimedia.org/r/539019

Marostegui removed RobH as the assignee of this task.EditedSep 25 2019, 5:37 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for onsite steps and switch disablement

Jclark-ctr added a subscriber: Cmjohnson.
Jclark-ctr updated the task description. (Show Details)Nov 28 2019, 12:11 AM
Papaul added a subscriber: Papaul.Dec 6 2019, 4:39 PM
papaul@asw2-b-eqiad# show | compare                             
[edit interfaces interface-range disabled]
     member xe-7/0/41 { ... }
+    member ge-2/0/19;
[edit interfaces]
-   ge-2/0/19 {
-       description db1072;
-   }
Papaul updated the task description. (Show Details)Dec 6 2019, 4:39 PM
Papaul updated the task description. (Show Details)

Change 555542 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for radium,db1069,db1072 and db1073

https://gerrit.wikimedia.org/r/555542

Change 555542 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for radium,db1069,db1072 and db1073

https://gerrit.wikimedia.org/r/555542

Papaul closed this task as Resolved.Dec 6 2019, 4:54 PM
Papaul updated the task description. (Show Details)

complete